summaryrefslogtreecommitdiffstats
path: root/source/l/qt
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/qt')
-rw-r--r--source/l/qt/README6
-rw-r--r--source/l/qt/doinst.sh5
-rwxr-xr-xsource/l/qt/profile.d/qt4.csh22
-rwxr-xr-xsource/l/qt/profile.d/qt4.sh23
-rwxr-xr-xsource/l/qt/qt.SlackBuild176
-rw-r--r--source/l/qt/qt.mysql.h.diff12
-rw-r--r--source/l/qt/qt.x86.cflags.diff11
-rw-r--r--source/l/qt/slack-desc19
8 files changed, 274 insertions, 0 deletions
diff --git a/source/l/qt/README b/source/l/qt/README
new file mode 100644
index 000000000..c5b4d85a9
--- /dev/null
+++ b/source/l/qt/README
@@ -0,0 +1,6 @@
+qt-rXXXXXX is actually qt-copy (kde's own version that might be
+slightly incompatible with released version) renamed.
+
+It also contains less documentation -- you can grab the vanilla
+Qt if you need it.
+
diff --git a/source/l/qt/doinst.sh b/source/l/qt/doinst.sh
new file mode 100644
index 000000000..6f7c5df07
--- /dev/null
+++ b/source/l/qt/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x sbin/ldconfig ]; then
+ chroot . /sbin/ldconfig 2> /dev/null
+fi
+
diff --git a/source/l/qt/profile.d/qt4.csh b/source/l/qt/profile.d/qt4.csh
new file mode 100755
index 000000000..6e2c726cb
--- /dev/null
+++ b/source/l/qt/profile.d/qt4.csh
@@ -0,0 +1,22 @@
+#!/bin/csh
+# Environment path variables for the Qt package:
+if ( ! $?QT4DIR ) then
+ # It's best to use the generic directory to avoid
+ # compiling in a version-containing path:
+ if ( -d /usr/lib/qt ) then
+ setenv QT4DIR /usr/lib/qt
+ else
+ # Find the newest Qt directory and set $QT4DIR to that:
+ foreach qtd ( /usr/lib/qt-* )
+ if ( -d $qtd ) then
+ setenv QT4DIR $qtd
+ endif
+ end
+ endif
+endif
+set path = ( $path $QT4DIR/bin )
+if ( $?CPLUS_INCLUDE_PATH ) then
+ setenv CPLUS_INCLUDE_PATH $QT4DIR/include:$CPLUS_INCLUDE_PATH
+else
+ setenv CPLUS_INCLUDE_PATH $QT4DIR/include
+endif
diff --git a/source/l/qt/profile.d/qt4.sh b/source/l/qt/profile.d/qt4.sh
new file mode 100755
index 000000000..5b4b830aa
--- /dev/null
+++ b/source/l/qt/profile.d/qt4.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Environment variables for the Qt package.
+#
+# It's best to use the generic directory to avoid
+# compiling in a version-containing path:
+if [ -d /usr/lib/qt ]; then
+ QT4DIR=/usr/lib/qt
+else
+ # Find the newest Qt directory and set $QT4DIR to that:
+ for qtd in /usr/lib/qt-* ; do
+ if [ -d $qtd ]; then
+ QT4DIR=$qtd
+ fi
+ done
+fi
+if [ ! "$CPLUS_INCLUDE_PATH" = "" ]; then
+ CPLUS_INCLUDE_PATH=$QT4DIR/include:$CPLUS_INCLUDE_PATH
+else
+ CPLUS_INCLUDE_PATH=$QT4DIR/include
+fi
+PATH="$PATH:$QT4DIR/bin"
+export QT4DIR
+export CPLUS_INCLUDE_PATH
diff --git a/source/l/qt/qt.SlackBuild b/source/l/qt/qt.SlackBuild
new file mode 100755
index 000000000..3bd6fe560
--- /dev/null
+++ b/source/l/qt/qt.SlackBuild
@@ -0,0 +1,176 @@
+#!/bin/sh
+
+# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Merged some ideas from Alex Sarmardzic's script for qt4 at SlackBuilds.org
+# ^^ Modified by Robby Workman <rworkman@slackware.com> for QT4 & KDE4
+
+# We're using qt-copy instead of a released qt version, as this svn release
+# has at least one bugfix strongly recommended by the kde developers
+
+PKGNAM=qt
+VERSION=$(ls qt-r*.tar.?z* | cut -d - -f 2 | cut -f 1 -d . | tail -1)
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+#rm -rf qt-x11-opensource-src-$VERSION
+#tar xvf $CWD/qt-x11-opensource-src-$VERSION.tar.gz # For qt releases
+#cd qt-x11-opensource-src-$VERSION || exit 1
+
+rm -rf qt-$VERSION
+if [ -r $CWD/qt-$VERSION.tar.gz ]; then
+ tar xvf $CWD/qt-$VERSION.tar.gz || exit 1
+elif [ -r $CWD/qt-$VERSION.tar.bz2 ]; then
+ tar xvf $CWD/qt-$VERSION.tar.bz2 || exit 1
+elif [ -r $CWD/qt-$VERSION.tar.xz ]; then
+ tar xvf $CWD/qt-$VERSION.tar.xz || exit 1
+elif [ -r $CWD/qt-$VERSION.tar.lzma ]; then
+ tar xvf $CWD/qt-$VERSION.tar.lzma || exit 1
+else
+ exit 1
+fi
+cd qt-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# apply_patches looks for a ".svn" directory, which doesn't exist in the used snapshot.
+# removing the check from apply_patches to not try to apply already applied patches
+sed -i "s| test -d .svn &&||" apply_patches
+
+# This is only needed/wanted for qt-copy (the r###### version) that we're
+# building right now. It might require manual intervention, so don't walk
+# away during the build
+./apply_patches
+
+if [ $ARCH = "i486" ]; then
+ zcat $CWD/qt.x86.cflags.diff.gz | patch -p1 || exit 1
+fi
+
+# Fix path to mysql header
+zcat $CWD/qt.mysql.h.diff.gz | patch -p1 || exit 1
+
+# The "o" selects the Open Source edition of Qt.
+# The "yes" agrees to the GPL, so don't run this script if you don't agree. :-)
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
+echo "o
+yes" | ./configure \
+ -prefix /usr/lib${LIBDIRSUFFIX}/qt \
+ -qt-gif \
+ -fast \
+ -system-libpng \
+ -system-libjpeg \
+ -system-zlib \
+ -dbus \
+ -webkit \
+ -no-phonon \
+ -nomake examples \
+ -nomake demos \
+ -no-separate-debug-info
+
+# Sometimes a failure happens when parallelizing make. Try again if make fails,
+# but make a failure the second time around (single threaded) a fatal error:
+make $NUMJOBS || make || exit 1
+make install INSTALL_ROOT=$PKG || exit 1
+
+# The infamous qt -> qt-${VERSION} link that keeps the full path out of .la files:
+( cd $PKG/usr/lib${LIBDIRSUFFIX} ; ln -sf qt qt-${VERSION} )
+
+# Link the shared libraries into /usr/lib:
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for file in qt/lib/*.so* ; do
+ ln -sf $file .
+ done
+)
+
+if [ $ARCH = "i486" ]; then
+ # Put this back as shipped:
+ zcat $CWD/qt.x86.cflags.diff.gz | patch -p1 -R
+fi
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add profile scripts
+mkdir -p $PKG/etc/profile.d
+sed -e "s#usr/lib/#usr/lib${LIBDIRSUFFIX}/#g" $CWD/profile.d/qt4.sh \
+ > $PKG/etc/profile.d/qt4.sh
+sed -e "s#usr/lib/#usr/lib${LIBDIRSUFFIX}/#g" $CWD/profile.d/qt4.csh \
+ > $PKG/etc/profile.d/qt4.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+# Put a ton of links to more "normal" places. I'd just use a prefix of /usr, but it
+# creates a ton of new (and ambiguously named) /usr directories...
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/qt/bin
+ for file in * ; do
+ ( cd $PKG/usr/bin ; ln -sf /usr/lib${LIBDIRSUFFIX}/qt/bin/$file . )
+ done
+)
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig
+ for file in *.pc ; do
+ ( cd $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig ; ln -sf /usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig/$file . )
+ done
+)
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *GPL_EXCEPTION* FAQ* INSTALL KNOWN* LICENSE* README* changes-* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+( cd $PKG/usr/doc/$PKGNAM-$VERSION
+ ln -sf /usr/lib${LIBDIRSUFFIX}/qt/doc/html .
+)
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/qt/qt.mysql.h.diff b/source/l/qt/qt.mysql.h.diff
new file mode 100644
index 000000000..7a41be591
--- /dev/null
+++ b/source/l/qt/qt.mysql.h.diff
@@ -0,0 +1,12 @@
+diff -Nur qt-x11-opensource-src-4.3.4.orig/src/sql/drivers/mysql/qsql_mysql.h qt-x11-opensource-src-4.3.4/src/sql/drivers/mysql/qsql_mysql.h
+--- qt-x11-opensource-src-4.3.4.orig/src/sql/drivers/mysql/qsql_mysql.h 2008-04-02 20:52:11.739343004 -0500
++++ qt-x11-opensource-src-4.3.4/src/sql/drivers/mysql/qsql_mysql.h 2008-04-02 20:52:05.970610574 -0500
+@@ -51,7 +51,7 @@
+ #include <QtCore/qt_windows.h>
+ #endif
+
+-#include <mysql.h>
++#include <mysql/mysql.h>
+
+ #ifdef QT_PLUGIN
+ #define Q_EXPORT_SQLDRIVER_MYSQL
diff --git a/source/l/qt/qt.x86.cflags.diff b/source/l/qt/qt.x86.cflags.diff
new file mode 100644
index 000000000..a9e65fbb8
--- /dev/null
+++ b/source/l/qt/qt.x86.cflags.diff
@@ -0,0 +1,11 @@
+--- qt.orig/mkspecs/common/g++.conf 2007-12-22 00:22:18.295453075 -0600
++++ qt/mkspecs/common/g++.conf 2007-12-22 00:23:07.514257895 -0600
+@@ -7,7 +7,7 @@
+ QMAKE_CFLAGS_DEPS += -M
+ QMAKE_CFLAGS_WARN_ON += -Wall -W
+ QMAKE_CFLAGS_WARN_OFF += -w
+-QMAKE_CFLAGS_RELEASE += -O2
++QMAKE_CFLAGS_RELEASE += -O2 -march=i486 -mtune=i686
+ QMAKE_CFLAGS_DEBUG += -g
+ QMAKE_CFLAGS_SHLIB += -fPIC
+ QMAKE_CFLAGS_STATIC_LIB += -fPIC
diff --git a/source/l/qt/slack-desc b/source/l/qt/slack-desc
new file mode 100644
index 000000000..8229dd0a8
--- /dev/null
+++ b/source/l/qt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qt: Qt (a multi-platform C++ graphical user interface toolkit)
+qt:
+qt: Qt is a complete and well-developed object-oriented framework for
+qt: developing graphical user interface (GUI) applications using C++.
+qt:
+qt:
+qt:
+qt:
+qt:
+qt:
+qt: